Loading...
Searching...
No Matches
pcl::LINEMOD_OrientationMap Struct Reference

Map that stores orientations. More...

`#include <pcl/recognition/surface_normal_modality.h>`

## Public Member Functions

| LINEMOD_OrientationMap ()=default
| Constructor.
| ~LINEMOD_OrientationMap ()=default
| Destructor.
std::size_t | getWidth () const
| Returns the width of the modality data map.
std::size_t | getHeight () const
| Returns the height of the modality data map.
void | resize (const std::size_t width, const std::size_t height, const float value)
| Resizes the map to the specific width and height and initializes all new elements with the specified value.
float & | operator() (const std::size_t col_index, const std::size_t row_index)
| Operator to access elements of the map.
const float & | operator() (const std::size_t col_index, const std::size_t row_index) const
| Operator to access elements of the map.

## Detailed Description

Map that stores orientations.

Author
  Stefan Holzer

Definition at line 62 of file surface_normal_modality.h.

## Constructor & Destructor Documentation

## LINEMOD_OrientationMap()

pcl::LINEMOD_OrientationMap::LINEMOD_OrientationMap | ( |  | ) |

inline default

Constructor.

## ~LINEMOD_OrientationMap()

pcl::LINEMOD_OrientationMap::~LINEMOD_OrientationMap | ( |  | ) |

inline default

Destructor.

## Member Function Documentation

## getHeight()

std::size_t pcl::LINEMOD_OrientationMap::getHeight | ( |  | ) | const

inline

Returns the height of the modality data map.

Definition at line 79 of file surface_normal_modality.h.

## getWidth()

std::size_t pcl::LINEMOD_OrientationMap::getWidth | ( |  | ) | const

inline

Returns the width of the modality data map.

Definition at line 72 of file surface_normal_modality.h.

## operator()() [1/2]

float & pcl::LINEMOD_OrientationMap::operator() | ( | const std::size_t | col_index,
|  | const std::size_t | row_index )

inline

Operator to access elements of the map.

Parameters

  [in] | col_index | the column index of the element to access.
  [in] | row_index | the row index of the element to access.

Definition at line 104 of file surface_normal_modality.h.

## operator()() [2/2]

const float & pcl::LINEMOD_OrientationMap::operator() | ( | const std::size_t | col_index,
|  | const std::size_t | row_index ) const

inline

Operator to access elements of the map.

Parameters

  [in] | col_index | the column index of the element to access.
  [in] | row_index | the row index of the element to access.

Definition at line 114 of file surface_normal_modality.h.

## resize()

void pcl::LINEMOD_OrientationMap::resize | ( | const std::size_t | width,
|  | const std::size_t | height,
|  | const float | value )

inline

Resizes the map to the specific width and height and initializes all new elements with the specified value.

Parameters

  [in] | width | the width of the resized map.
  [in] | height | the height of the resized map.
  [in] | value | the value all new elements will be initialized with.

Definition at line 91 of file surface_normal_modality.h.

The documentation for this struct was generated from the following file:

- pcl/recognition/surface_normal_modality.h